.container {
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
}

.loginForm {
  padding: 1ch;
  margin-top: 10ch;
  border: 1px solid black;
  border-radius: 30px;
  display: flex;
  flex-direction: column;
  width: 35%;
  height: fit-content;
  align-items: center;
}

.loginHeader {
  justify-self: center;
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: center;
  width: 80%;
}

.headerTextMain {
  margin-top: 1ch;
  color: #000;
  font-family: 'Lexend';
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.headerText {
  margin-top: 2ch;
  color: #000;
  font-family: 'Lexend';
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.loginPanel {
  margin-top: 4ch;
  display: flex;
  flex-direction: column;
  width: 80%;
  justify-content: center;
}

.emailInput {
  border: 1px solid #000;
  border-radius: 30px;
  margin-bottom: 2ch;
  width: 100%;
  font-family: 'Lexend';
}

.passwordInput {
  border: 1px solid #000;
  border-radius: 30px;
  margin-bottom: 2ch;
  width: 100%;
  font-family: 'Lexend';
}

#signInButton {
  text-transform: none !important;
  font-family: 'Lexend';
  color: white;
  background: #41D4F5;
  font-size: 16px;
  border-radius: 15px;
  justify-items: end;
}

#signInButton:hover {
  background: none;
  color: black;
  border: 1px solid #41D4F5;
}

.loginFooter {
  margin-top: 1ch;
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: center;
}

.dividerText {
  color: #000;
  font-family: 'Lexend';
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.externalLoginPanel {
  margin-top: 2ch;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: 100%;
}

.loginFooterText {
  margin-top: 3ch;
  display: flex;
  width: 100%;
  justify-content: center;
}

.link {
  text-decoration: none;
}

.link>p {
  cursor: pointer;
  transition: color 0.3s ease;
  color: #000;
  font-family: 'Lexend';
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.link>p:hover {
  color: #41D4F5;
}